# Det redaktionelle workflow

1. [Håndtering af indsendelsesdetaljer](editorial-workflow#manage-submission-details)
1. [Redaktionelle valgmuligheder](editorial-workflow#editorial-actions)
1. [Deltagere](editorial-workflow#participants)

Det redaktionelle workflow tillader dig at overvåge en indsendelse fra den indledende vurdering, gennem bedømmelse, manuskriptredigering og til produktion, hvor det enkelte nummer klargøres til publikation.

Hvert faneblad i workflowet giver dig adgang til den information, de værktøjer og indlæg \(drøftelser\), du behøver for at udføre de opgaver, der hører under det pågældende trin i den redaktionelle proces. Du kan [tilføje flere deltagere](editorial-workflow#participants). Du vil løbende blive præsenteret for et udvalg af [redaktionelle valgmuligheder](editorial-workflow#editorial-actions), der er relevant for det enkelte trin i processen.

## <a name="manage-submission-details"></a>Håndtering af indsendelsesdetaljer

Indsendelsesdetaljer vises øverst på siden. Her findes værktøjer til at håndtere indsendelsens metadata og redaktionelle historik. De data, der herfra knyttes til indsendelsen forbliver indskrevet på alle trin i den redaktionelle proces.

### Metadata

Metadatasiden indeholder to faneblade: ’Indsendelse’ og ’Identifikator’.

Indsendelse indeholder metadata, såsom artiklens titel, resumé, bidragsydere og nøgleord.

Under ’Identifikator’ kan der indsættes en ’Public URL identifier’.

### Redaktionel historik

Tilføj noter til eventuel senere dokumentation og se en log over alle handlinger knyttet til denne indsendelse. Kun redaktionelle og administrative brugere har adgang til ’Redaktionel historik’.

### Indsendelsesbibliotek

Et arkiv med kvik-adgang til enhver fil, som du måtte ønske at knytte til indsendelsen. Dette kan anvendes til filer, der ikke er tilknyttet noget trin, såsom underskrevne kontrakter, marketingsfiler eller retningslinjer, som du ønsker at dele med manuskriptredaktører og andre medarbejdere.

Du kan hurtigt tilføje filer fra ’[Forlagsbibliotek](settings/workflow-settings#forlag)’ ved at klikke på ’Se dokumentbibliotek’.

## <a name="editorial-actions"></a> Redaktionelle valgmuligheder

Øverst i højre-menuen på hvert trin i workflowet, vil du finde de redaktionelle valgmuligheder, der er tilgængelige for dig. Disse valg skifter for hvert trin, men i de fleste tilfælde, afslutter de det aktuelle trin og videresender indsendelsen til det næste.

Læs hjælpeteksterne til hvert trin for at lære mere om de redaktionelle valgmuligheder.

## <a name="participants"></a>Deltagere

I højre-menuen, på hvert trin i den redaktionelle proces, finder du en liste over de brugere, der har adgang til det pågældende trin. Du kan tilføje redaktionelle medarbejdere, manuskriptredaktører, layoutredaktører og andre brugere, som du ønsker, skal have adgang.

Når du tilføjer en bruger, vil vedkommende have adgang til de trin hans rolle tillader. For eksempel vil en redaktør have adgang til alle trin, mens en manuskriptredaktør kun vil få adgang til manuskriptredigeringstrinnet.

Du behøver ikke at tilføje bedømmere til deltagerlisten. Når du når frem til [bedømmelsestrinnet](editorial-workflow/review), vil du kunne administrere bedømmerne via et mere egnet felt.

