# Workflowindstillinger

1. [Indsendelse](workflow-settings#indsendelse)
1. [Bedømmelse](workflow-settings#bedømmelse)
1. [Forlagsbibliotek](workflow-settings#forlag)
1. [E-mails](workflow-settings#e-mails)

Konfigurér alle dele af [det redaktionelle workflow] (../editorial-workflow), herunder filhåndtering, krav til indsendelse, deadlines og retningslinjer i forbindelse med fagfællebedømmelse, e-mail-underretninger og meget mere. Se [Learning OJS 3 Workflow Settings] (https://docs.pkp.sfu.ca/learning-ojs/en/settings-workflow) for mere detaljerede instruktioner.

## <a name="indsendelse"></a>Indsendelse
Fanebladet Indsendelse definerer, hvilken information forfattere leverer eller accepterer, når de foretager en indsendelse.

### Metadata
Hvis du aktiverer et metadatafelt, vil det indgå i forbindelse med hver indsendelse. Markerer du et **Indsendelsesfelt** giver det forfattere mulighed for selv at udfylde det, når de foretager en indsendelse. Ellers er det kun en redaktør, der kan tilføje det.

### Materiale
Materiale (artikelmateriale) viser de filtyper, der kan inkluderes i en indsendelse. Du kan tilføje nye materialetyper eller redigere eller slette standardtyperne. Materialetyperne kan konfigureres som værende enten supplerende eller underordnede, hvilket afgør, hvordan eller om de skal offentliggøres.

### Tjekliste
Indsæt en tjekliste, der viser forfattere hvilke krav, der skal opfyldes inden indsendelse af manuskript. Dette er et godt sted at gøre opmærksom på de krav tidsskriftet stiller i forbindelse med litteraturhenvisninger, skriftstørrelse, linjeafstand, formater mm.

### Retningslinjer for forfattere
Retningslinjer for forfattere vil blive vist, når forfatteren foretager en indsendelse.

## <a name="bedømmelse"></a>Bedømmelse
Angiv alle jeres bedømmelsespolitikker og -procedurer, inklusive deadlines, meddelelser og retningslinjer for bedømmere mm.

### Opsætning
Vælg den bedømmelsesindstilling, der skal anvendes som standard. Indstillingen kan ændres af en redaktør ved hver indsendelse og ved hver bedømmelse.

- En **Double-Blind** bedømmelse forhindrer såvel bedømmeren som forfatteren i at kende hinandens identiteter
- En **Blind** bedømmelse forhindrer forfatteren i at kende bedømmerens identitet
- En **Åben** bedømmelse giver såvel bedømmeren som forfatteren mulighed for at kende hinandens identiteter

Hvis du vælger **Aktivér adgang for bedømmere ved hjælp af ét klik**, vil e-mail-invitationen til bedømmere indeholde en særlig URL, der fører de inviterede bedømmere direkte til redaktionssiden Bedømmelse uden at kræve, at de logger ind. Af sikkerhedsmæssige årsager vil redaktører, når denne indstilling er tilvalgt, ikke være i stand til at ændre e-mail-adresser eller tilføje CC'er eller BCC'er, inden de sender invitationer til bedømmere.

### Vejledning til bedømmere
Giv bedømmere en række kriterier til bedømmelse af manuskriptets egnethed set i forhold til tidsskriftet, kriterierne kan omfatte instruktioner til forberedelse af en effektiv og nyttig bedømmelse. Bedømmere har mulighed for at give kommentarer, der er beregnet til forfatteren og redaktøren, samt separate kommentarer, der udelukkende sendes til redaktøren.

### Bedømmelsesformular
Hvis du ønsker specifikke informationer fra bedømmere, kan du oprette formularer her. En redaktør vil kunne vælge blandt de formularer, der er oprettet, når vedkommende udvælger en bedømmer. Bedømmeren bliver derefter bedt om at udfylde den valgte formular, når bedømmelsen foretages.

## <a name="forlag"></a>Forlagsbibliotek
Forlagsbiblioteket gør det muligt at oprette et arkiv til lagring og hurtig deling af almindelige filer, såsom skrivevejledninger, forfatterkontrakter, frigivelsesformularer og marketingmateriale.

Indhold, der er gemt i Forlagsbiblioteket, kan hurtigt hentes og føjes til et [Indsendelsesbibliotek] (../editorial-workflow#indsendelsesbibliotek), der skal deles med forfattere eller assistenter.

## <a name="e-mails"></a>E-mails
OJS udsender en række e-mails på de forskellige trin i [det redaktionelle workflow] (../editorial-workflow) samt i forbindelse med f.eks. registrering og bekræftelse af indsendelser. Indstillingerne i dette afsnit giver dig mulighed for at redigere signaturen, der er knyttet til hver e-mail, samt ændre standardmeddelelserne, der sendes for hver type e-mail.

Du kan se en beskrivelse af hver e-mail og redigere e-mailen ved at klikke på pilen til højre.
