# Flujo de trabajo editorial

1. Introducción
2. [Gestionar los detalles del envío](editorial-workflow.md#manage-submission-details)
3. [Acciones editoriales](editorial-workflow.md#editorial-actions)
4. [Participantes](editorial-workflow.md#participants)

El flujo de trabajo editorial le permite seguir un envío desde su evaluación inicial mediante revisión por pares, pasando por la fase de edición, hasta la fase de producción, en la cual dicho envío ya está listo para su publicación.

Cada pestaña de la página del flujo de trabajo le proporciona la información, las herramientas y los paneles de discusión que necesitará para completar las tareas de esa fase. Puede [añadir participantes](editorial-workflow.md#participants) para ayudarle. Cuando esté listo se le mostrarán una serie de [acciones editoriales](editorial-workflow.md#editorial-actions) específicas de cada fase.

## <a name="manage-submission-details"></a>Gestionar los detalles del envío

Los detalles del envío aparecen en la parte superior de la página. En este apartado también encontrará herramientas para ayudarle a gestionar los metadatos del envío y el historial de publicaciones. Los datos agregados al envío mediante estas herramientas permanecerán a lo largo de todas las etapas.

### <a name="metadata"></a>Metadatos

La sección Metadatos incluye dos pestañas: Envío e Identificadores.

La pestaña Envío engloba los metadatos del envío, como por ejemplo el título del artículo, el resumen, los colaboradores y las palabras clave.

La pestaña Identificadores ofrece un espacio para añadir identificadores de URL públicos.

### <a name="editorial-history"></a>Historial de publicaciones

Desde aquí puede añadir notas y ver un registro de todos los acontecimientos asociados con este envío. Solo los usuarios/as editores y administrativos pueden acceder al historial de publicaciones.

### <a name="submission-library"></a>Biblioteca de envío

Se trata de un repositorio de acceso rápido a archivos relacionados con el envío que se quieren seguir. Este apartado es útil para archivos no específicos de ninguna fase del flujo de trabajo, como por ejemplo contratos firmados, documentos de marketing o directrices que quiera compartir con los correctores o con otros colaboradores.

Puede añadir archivos rápidamente desde su [Biblioteca editorial](settings.md#workflow-library) haciendo clic en **Ver biblioteca de documentos**.

## <a name="editorial-actions"></a> Acciones editoriales

En la parte derecha de cada fase del flujo de trabajo se le mostrarán las acciones editoriales disponibles. Estas acciones cambian en cada fase, pero en la mayoría de casos sirven para completar la fase actual y mandar el envío a la etapa siguiente.

Lea la ayuda de cada fase para saber más acerca de las acciones editoriales.

## <a name="participants"></a>Participantes

En la parte derecha de cada fase del flujo de trabajo, debajo de las acciones editoriales, encontrará una lista de usuarios/as con acceso a esa fase. Puede añadirle asistentes/as editoriales, correctores/as, maquetadores/as o cualquier otro usuario/a al que quiera dar acceso a la fase actual.

*Cuando añada un usuario/a, ese usuario/a tendrá acceso a todas las fases permitidas por su rol de usuario/a*. Por ejemplo, si se añade un editor/a a la lista de participantes, este tendrá acceso a todas las fases, pero en el caso de un corrector/a solo tendrá acceso a la fase de corrección.

*No es necesario que añada revisores/as al panel de participantes.* Cuando llegue a la [fase de revisión](editorial-workflow/review.md) podrá gestionar los revisores/as desde un panel específico para ello.
