# Fases de revisión

1. Introducción
2. [Orientaciones](review.md#orientation)
3. [Acciones editoriales](review.md#editorial-actions)

Durante la fase de revisión, el editor/a asigna revisores/as para el envío.

Una vez que el revisor/a ha enviado sus revisiones y recomendaciones, el editor/a tiene la responsabilidad de llevar a cabo una acción editorial, que determinará si el envío está listo para la fase de edición o requiere más revisiones.

Las fases de revisión empiezan de forma predefinida en la *Ronda 1* de revisiones. Se pueden iniciar más rondas si el editor/a reclama cambios significativos que deban llevarse a cabo en otra ronda de revisión.

## <a name="orientation"></a>Orientaciones

Cada ronda de revisión se compone de secciones para gestionar los archivos de revisión y los revisores/as, además de los apartados con las discusiones y los participantes, que aparecen en todas las fases.

### <a name="review-files"></a>Revisar archivos
Aquí aparecen los archivos seleccionados por el editor/a que están listos para revisar. Estos archivos serán visibles para los revisores/as, a menos que estén restringidos al asignar el revisor/a.

### <a name="reviewers"></a>Revisores/as
Los editores/as pueden añadir revisores/as, fijar fechas límite y monitorizar el estado y las recomendaciones de las revisiones. Cuando se completa una revisión, el editor/a puede visualizarla y confirmarla para hacer saber que la ha leído.

### <a name="revisions"></a>Revisiones
Se trata de los archivos revisados y cargados por el autor. Durante el proceso de revisión, el editor/a puede requerir revisiones al autor. Cuando éste las cargue aparecerán aquí y los archivos estarán disponibles para enviarlos a la fase de edición, siempre que hayan superado la revisión.

### <a name="discussions"></a>Discusiones de revisión
Los editores/as y los subeditores/as pueden iniciar conversaciones privadas entre ellos/as o con los revisores/as o autores/as. Los autores/as no pueden iniciar discusiones o comunicarse directamente con los revisores/as.

Las discusiones de revisión no son exclusivas de una ronda de revisión específica, sino que pasarán a las rondas posteriores si se inicia una nueva.

### <a name="participants"></a>Participantes
Los editores/as y los subeditores/as pueden añadir usuarios/as adicionales a esta fase para asistirles en la gestión del proceso de revisión. Normalmente esto es usado por editores/as que necesitan un subeditor/a para manejar las comunicaciones diarias con los revisores/as. [Saber más](../editorial-workflow.md#participants).

## <a name="editorial-actions"></a>Acciones editoriales
El editor/a puede llevar a cabo diversas acciones editoriales durante cada ronda del proceso de revisión. Cada una de estas decisiones será notificada automáticamente al autor/a por correo electrónico.

### <a name="request-revisions"></a>Solicitar revisiones
El editor/a puede requerir revisiones al autor/a sin tener que iniciar una nueva ronda de revisiones. Esto es lo habitual cuando solo son necesarias revisiones menores, las cuales puede aprobar el mismo editor/a sin tener que volver a enviar a revisión.

### <a name="new-review"></a>Reevaluar
El editor/a puede solicitar revisiones al autor/a que necesiten pasar por otra ronda de revisiones. Cuando así sea, será necesario crear una nueva ronda de revisión desde la pestaña superior de la fase de revisión.

### <a name="copyediting"></a>Aceptar envío
El editor/a puede empezar la [fase de edición](copyediting.md) cuando el envío haya superado la fase de revisión solicitada.

### <a name="decline"></a>No publicable
El editor/a puede rechazar el envío si este no supera la revisión. El envío se eliminará del flujo de trabajo editorial y se mandará al apartado Archivos de la revista.
