# Preferencias

1. Introducción
2. [Revista](settings.md#context)
3. [Sitio web](settings.md#website)
4. [Flujo de trabajo](settings.md#workflow)
5. [Distribución](settings.md#distribution)

Desde este apartado puede configurar su sitio web para que se ajuste a sus necesidades.

Para acceder a los ajustes haga clic en el enlace **Preferencias** del menú de navegación principal de la izquierda y luego elija los ajustes específicos que desee editar.

*Solo los gestores/as de la revista y los administradores/as pueden acceder y modificar las preferencias.*

Aún falta mucha información sobre este apartado, pero mientras mejoramos la documentación le ofrecemos una breve visión general de para qué sirve cada apartado de esta sección e información más detallada de las opciones más complejas.

## <a name="context"></a>Revista

Este apartado le permite detallar aspectos básicos de la revista, como el título, una breve descripción, la cabecera, la información de contacto y las secciones de la revista.

La pestaña **Secciones de la revista** posibilita que las revistas categoricen los envíos en diferentes secciones al publicar, como por ejemplo Reseñas y Artículos.

## <a name="website"></a>Sitio web

Desde aquí puede ajustar el aspecto de su sitio web para el usuario/a, lo que incluye el logotipo, la configuración de la página de inicio, la gestión del menú lateral, etc.

También puede configurar el idioma y los ajustes de archivo, instalar y activar módulos, enviar anuncios y redactar bloques con información clave para los visitantes.

## <a name="workflow"></a>Flujo de trabajo

En este apartado puede configurar todos los aspectos del [flujo de trabajo editorial](editorial-workflow.md), lo que incluye la gestión de archivos, las directrices y los requisitos de envío, las directrices y las fechas límite de las revisiones por pares, las notificaciones por correo electrónico, etc.

Algunos de estos ajustes clave están desglosados en detalle a continuación.

### <a name="workflow-components"></a>Componentes

Los archivos que se publican están formados por una serie de componentes, entre ellos el texto del artículo, los materiales de investigación, el conjunto de datos, etc.

Cuando los autores/as y editores/as carguen archivos a un envío se les pedirá que identifiquen los componentes de ese archivo.

La pestaña Componentes proporciona una lista de componentes comunes por defecto. Le animamos a que añada o edite componentes para ajustarlos a las necesidades específicas de su revista.

Elimine aquellos que no sean adecuados para su revista, esto reducirá las opciones que se les muestran a los autores/as que intentan  hacer su primer envío.

### <a name="workflow-submission"></a>Propuesta

Configure las directrices de envío en este apartado. También puede modificar la lista de comprobación para la preparación de envíos, que todos los autores deben aceptar para continuar con sus propuestas.

Los metadatos de envío le permiten seleccionar qué tipo de metadatos quiere monitorizar en su revista y cuáles desea presentar a los autores durante el proceso de envío.

### <a name="workflow-review"></a>Revisión

En esta pestaña puede ajustar todos los procedimientos y políticas de revisión, incluyendo fechas límite, notificaciones, directrices, etc.

### <a name="workflow-library"></a>Biblioteca editorial

La Biblioteca editorial ofrece un repositorio de archivos para almacenar y compartir rápidamente archivos comunes, como directrices de escritura, autorizaciones y contratos de autor/a, y materiales de marketing.

Los elementos almacenados en la Biblioteca editorial pueden ser recuperados rápidamente y añadidos a la [Biblioteca de envío](editorial-workflow.md#submission-library) para compartirlos con autores/as o asistentes/as.

### <a name="workflow-emails"></a>Correos electrónicos

OJS envía una serie de correos electrónicos a lo largo de las diferentes fases del [Flujo de trabajo editorial](editorial-workflow.md), así como después de otras acciones como el registro y el acuse de recibo del envío.

Los ajustes de esta sección le permiten editar la firma adjunta en cada correo electrónico y cambiar los mensajes predefinidos de cada tipo de correo electrónico.

Si no está seguro de para qué sirve algún correo electrónico en particular, despliegue su menú contextual haciendo clic en el botón de la izquierda y luego haga clic en **Editar correo**. La mayoría de correos electrónicos incluyen una breve descripción de para qué sirven.

*Si desea restaurar una plantilla de correo electrónico, use el botón __Restaurar__ para devolverla a su estado original.*

## <a name="distribution"></a>Distribución

Aquí puede configurar ajustes relacionados con la indexación en buscadores, con pagos (si los está aplicando), y con permisos y licencias para las publicaciones.

En la pestaña permisos encontrará ajustes para confirmar los derechos de autor/a y las licencias.

### <a name="copyright-v-license"></a> ¿Cuál es la diferencia entre derechos de autor/a y licencias?

Los derechos de autor/a identifican al autor/a o al propietario/a de los derechos de autor/a de un trabajo publicado. Por ejemplo, Copyright (c) 2016 by Jane Smith.

La licencia adjunta a una obra determina los derechos de uso de un trabajo publicado. Por ejemplo, la licencia CC-By 4.0 permite que la obra sea copiada, redistribuida y adaptada para cualquier finalidad, incluso comercial, siempre que la autoría se atribuya al propietario/a de los derechos de autor/a.
