# Paramètres du site Web

1. [Apparence](website-settings#appearance)
1. [Configuration](website-settings#setup)
1. [Plugiciels](website-settings#plugins)


Les paramètres du site Web permettent de configurer l'apparence et les informations de votre site Web public, ses paramètres linguistiques, ses paramètres d'archivage, et d'installer et activer des plugiciels. Pour plus d'informations, veuillez consulter [Apprendre OJS 3: Paramètres du site web](https://docs.pkp.sfu.ca/learning-ojs/fr/settings-website). Des onglets additionnels peuvent apparaître si vous avez activé certains plugiciels, tels que le Plugiciel de pages statiques.

## <a name="appearance"></a>Apparence
Cet onglet permet de changer l'apparence du site Web de votre revue, de téléverser des images ou de choisir un thème.

### Thème
Afin de changer l'allure générale de votre site Web, sélectionnez un thème différent et cliquez sur Enregistrer. Ceci modifiera l'apparence du site Web, mais pas les données. Il est facile de changer de thème afin d'en essayer de différents.

Certains thèmes permettent de configurer les couleurs, mais si vous désirez changer les polices de caractère, les couleurs, ou d'autres éléments de design mineurs, il vous faudra en règle générale téléverser une feuille de style personnalisée.

### Configuration
Cet onglet permet de téléverser un logo, de concevoir un pied de page, ou de configurer le contenu de votre barre latérale en glissant-déposant divers éléments.

### Configuration avancée
Cet onglet permet de téléverser une feuille de style CSS personnalisée et un favicône.

## <a name="setup"></a>Configuration

### Renseignements
Dans cet onglet, vous pouvez ajouter des renseignements destinés à certains groupes d'utilisateurs et utilisatrices spécifiques, et qui seront affichés en tant que liens dans votre barre latérale si **Bloc "Renseignements"** est activé dans **Plugiciels** et sélectionné dans **Configuration - barre latérale**.

### Langues
Les langues installées sur votre le système par un administrateur ou une administratrice peuvent être activées pour l'interface utilisateur, les formulaires et les soumissions.

* Si vous cochez **Interface utilisateur**, les interfaces publique et administrative du site seront disponibles dans la langue correspondante.
* Si vous cochez **Formulaires**, vous pourrez remplir n'importe quel champ ou formulaire de l'interface administrative dans la langue correspondante.
* Si vous cochez **Soumissions**, vous pourrez faire une soumission et spécifier des métadonnées dans la langue correspondante.
* **Paramètre régional par défaut** est la première langue présentée aux utilisateurs ou utilisatrices. Si d'autres langues sont activées pour l'interface utilisateur, il sera possible de basculer d'une langue à l'autre en utilisant le menu de langues.

### Menus de navigation
Cette section permet de modifier les menus de navigation de votre site Web, en ajoutant, retirant et réordonnant des éléments. Vous pouvez également créer des éléments personnalisés qui pointent sur votre site ou tout autre site, et même créer des menus personnalisés.

### Annonces
Cette section permet de créer des annonces ou des types d'annonces qui seront affichées sur la page d'accueil votre site ou seront envoyées par courriel à l'ensemble de vos lecteurs et lectrices.

### Listes
Cette section permet de configurer combien d'éléments et de liens apparaissent dans une liste.

### Déclaration de confidentialité
Cette section permet de rédiger une déclaration qui explique de quelle manière seront utilisées les données soumises à votre revue et sur votre site.

### Date et heure
Cette section permet de configurer l'affichage de la date et de l'heure. Si votre revue est multilingue, chaque langue aura des paramètres différents. Pour changer les paramètres des autres langues, sélectionnez l'onglet correspondant.

## <a name="plugins"></a>Plugiciels
Les plugiciels étendent les fonctionnalités d'OJS et lui permettent d'interagir avec des outils et services externes. Cet onglet permet d'activer ou de configurer vos plugiciels, ou d'en installer de nouveaux dans la **Galerie de plugiciels**.

