# Paramètres du flux des travaux

1. [Soumission](workflow-settings#submission)
1. [Évaluation](workflow-settings#review)
1. [Bibliothèque de l'éditeur](workflow-settings#publisher)
1. [Courriels](workflow-settings#emails)

Cet onglet permet de configurer tous les aspects du [flux des travaux](../editorial-workflow), incluant la gestion des fichiers, les directives de soumission, les directives et dates butoirs d'évaluation, les courriels de notifications, et plus encore. Pour plus d'informations, veuillez consulter [Apprendre OJS 3 : Paramètres du flux des travaux](https://docs.pkp.sfu.ca/learning-ojs/fr/settings-workflow).

## <a name="submission"></a>Soumission
L'onglet Soumission permet de déterminer les éléments que les auteurs et auteures doivent fournir ou approuver lorsqu'ils ou elles font une soumission.

### Désactiver les soumissions
Cochez cette case si vous désirez désactiver les soumissions pour la revue au complet. Vous pouvez également désactiver les soumissions pour une section en particulier en cliquant sur le lien ***rubriques de revue***.

### Métadonnées
Si vous activez un champ de métadonnée, il sera disponible pour chaque soumission. Lorsque vous cochez une métadonnée, vous permettez aux auteurs et auteures de l'ajouter au moment de faire une soumission. Autrement, seul un rédacteur ou une rédactrice pourra ajouter cette métadonnée.

### Éléments
Les éléments définissent les types de documents pouvant être inclus avec une soumission. Vous pouvez ajouter de nouveaux éléments, ou bien modifier ou supprimer les éléments par défaut. Les éléments peuvent être configurés afin d'être complémentaires ou dépendants, ce qui détermine s'ils doivent être publiés ou non, et de quelle manière.

### Liste de vérification
Cet onglet permet de configurer la liste des vérifications que les auteurs-es doivent compléter avant de créer une soumission. Il s'agit d'un bon endroit pour indiquer les directives relatives aux références, à la taille de police de caractère, à l'interligne, au format de fichier, etc.

### Directives aux auteurs-es
Ces directives seront affichées aux auteurs et auteures au moment de la soumission.

## <a name="review"></a>Évaluation
Cet onglet permet de configurer vos politiques et procédures de révision, incluant les dates butoirs, les notifications, les directives aux évaluateurs et évaluatrices, etc.

### Configuration
Sélectionnez le mode d'évaluation par défaut du système. Les rédacteurs et rédactrices peuvent modifier le mode d'évaluation à la pièce pour les soumissions et les évaluations.
- L'**évaluation en double aveugle** empêche l'évaluateur ou l'évaluatrice et l'auteur ou l'auteure de connnaître leur identité respective.
- L'**évaluation en simple aveugle** empêche ll'auteur ou l'auteure de connaître l'identité de l'évaluateur ou l'évaluatrice.
- L'**évaluation ouverte** permet aux évaluateurs et évaluatrices et auteurs et auteures de connaître leur identité respective.

Si vous choisissez l'option **Activer l'accès en un clic pour l'évaluateur-trice**, le courriel d'invitation aux évaluateurs et évaluatrices contiendra l'URL d'une page d'évaluation de soumission sans exiger de connexion. Pour des raisons de sécurité, lorsque cette option est activée, les rédacteurs et rédactrices ne pourront ni modifier, ni ajouter de destinataires (c.c. ou c.c.i.) avant d'envoyer l'invitation aux évaluateurs et évaluatrices.

### Conseils aux évaluateurs et évaluatrices
Cet onglet permet de fournir des critères afin d'évaluer l'admissibilité d'une soumission à la publication dans une revue, voire des instructions pour préparer une évaluation utile et efficace. Les évaluateurs et évaluatrices auront également la chance de fournir des commentaires destinés aux auteurs et auteures et aux rédacteurs et rédactrices, ainsi que des commentaires destinés uniquement aux rédacteurs et rédactrices.

### Formulaires d'évaluation
Si désiré, vous pouvez concevoir des formulaires afin de demander des informations spécifiques à vos évaluateurs et évaluatrices. Un rédacteur ou une rédactrice peut sélectionner un formulaire au moment d'assigner un évaluateur ou une évaluatrice, et ce dernier ou cette dernière devra compléter ce formulaire au moment de soumettre l'évaluation.

## <a name="publisher"></a>Bibliothèque de l'éditeur 
La Bibliothèque de l'éditeur est un dépôt permettant de conserver et partage rapidement les fichiers communs, tels que les directives de rédaction, les contrats de publication et documents d'autorisation, ainsi que le matériel de marketing.

Les éléments stockés dans la Bibliothèque de l'éditeur peuvent être rapidement incorporés à la [bibliothèque d'une soumission](../editorial-workflow#submission-library) afin d'être partagés avec les auteurs et auteures ou les assistants et assistantes.

## <a name="emails"></a>Courriels
OJS envoie plusieurs courriels au cours des diverses étapes du [flux des travaux](../editorial-workflow) ou à l'occasion d'autres procédures, telles que l'enregistrement d'un utilisateur ou d'une utilisatrice ou l'accusé de réception d'une soumission. Les paramètres de cet onglet permettent de modifier la signature jointe à chaque courriel, ainsi que de changer les messages par défaut envoyés pour chaque type de courriel.

Vous pouvez consulter et modifier le contenu de chaque courriel en cliquant sur la flèche située à sa droite.

Cliquez sur **Filtres** afin de filter les modèles de courriels par destinateur, destinataire, étape de flux des travaux, ou en fonction du statut d'activation du modèle.