# Utilisateurs-trices et Rôles

1. [Utilisateurs-trices](users-and-roles#users-users)
1. [Rôles](users-and-roles#users-roles)
1. [Notification](users-and-roles#notify)
1. [Options d'accès au site](users-and-roles#users-site-access)

Gérez les utilisateurs et utilisatrices de la revue, assignez-leur des rôles et créez ou éditez des rôles existants.

## <a name="users"></a>Utilisateurs-trices
 
Les directeurs et directrices d'une revue peuvent accéder à la liste complète des utilisateurs et utilisatrices de cette revue. Il est possible d'ajouter ou désactiver des utilisateurs et utilisatrices, de leur envoyer des courriels, d'éditer leur profil ou de les supprimer totalement.
 
Le moyen le plus simple pour trouver un utilisateur ou une utilisatrice est d’utiliser le bouton « Rechercher » qui permet de faire une recherche par nom ou par rôle.
 
*Pour trouver une liste complète des auteurs et auteures, utilisez la fonction «&nbsp;Rechercher&nbsp;», laissez le champ de recherche vide, sélectionnez «&nbsp;Auteur-e&nbsp;» dans le menu déroulant, puis cliquez sur le bouton «&nbsp;Rechercher&nbsp;».*
 
## <a name="roles"></a>Rôles
 
Le rôle détermine l’accès au flux des travaux.
 
Un système d’attribution flexible permet d'adapter les différents rôles à vos besoins. Dans l’onglet « Rôles », vous trouverez une liste de rôles par défaut créés par le système.
 
Ces rôles sont nombreux, et la plupart des revues n’en ont pas besoin. N’hésitez pas à supprimer les rôles que vous n’utilisez pas dans votre flux des travaux.
 
Vous pouvez modifier ou supprimer des rôles existants, ou ajouter de nouveaux rôles. Un niveau de permission est attribué à chaque rôle, permettant d’exécuter diverses actions dans le système :
 
- *Les auteurs et auteures* peuvent créer de nouvelles soumissions.
- *Les évaluateurs et évaluatrices* apparaissent quand vous leur assignez des évaluations durant le [flux des travaux](editorial-workflow), et n'ont accès à cette étape qu'une fois la tâche assignée.
- *Les lecteurs et lectrices* ont accès à la version publique du site Web. Tous les utilisateurs et utilisatrices ont cette autorisation.
- *Les directeurs et directrices de la revue* ont accès à la totalité du [flux des travaux](editorial-workflow), ainsi qu'à la plupart des paramètres.
- *Les rédacteurs et réadactrices* ainsi que les *assistants et assistantes* n’ont accès qu'aux étapes du [flux des travaux](editorial-workflow) assignées à leur rôle.
 
En plus des divers niveaux d’autorisation, vous pouvez restreindre certains rôles à des étapes particulières du [flux des travaux](editorial-workflow). Cette fonctionnalité est pratique pour les professionnels et professionnelles qui peuvent n'avoir à intervenir que durant une ou deux étapes du processus, telles que la révision ou la mise en page.

## <a name="notify"></a>Avis

Si un administrateur ou une administratrice a activé l'envoi de courriels en lot dans les [Paramètres du site](https://docs.pkp.sfu.ca/learning-ojs/fr/site-administration#param%C3%A8tres-du-site), un onglet Avis sera visible. Vous pourrez utiliser cet onglet afin d'envoyer des courriels [par rôles](https://docs.pkp.sfu.ca/learning-ojs/fr/users-and-roles#utilisateurs-demail).

## <a name="site-access"></a>Options d'accès au site

Sous l’onglet « Options d'accès au site », vous pouvez désactiver l’enregistrement public des utilisateurs et utilisatrices, voire restreindre l’accès au site public aux utilisatrices et utilisateurs abonnés.
